# explicitly define, as we build on top of an scl, not inside with scl_package
%{?scl:%global scl_prefix %{scl}-}

#global betatag beta
#global dotbetatag .%{betatag}

Name:       satellite
Version:    6.3.5.2
Release:    1%{?dist}
Summary:    A package for managing application life-cycle for Linux systems
BuildArch:  noarch
Group:      Applications/Internet
License:    GPLv2
URL:        https://access.redhat.com/products/red-hat-satellite
Source0:    satellite-restore
Source1:    satellite-backup
Source2:    satellite-change-hostname
Source3:    satellite-change-hostname.8.asciidoc
Source4:    metadata.yml

BuildRequires: asciidoc
BuildRequires: sed

Requires: foreman >= 1.15.0
Requires: katello >= 3.4.0
Requires: %{scl_prefix}rubygem(foreman_discovery)
Requires: %{scl_prefix}rubygem(foreman_docker)
Requires: %{scl_prefix}rubygem(foreman_bootdisk)
Requires: %{scl_prefix}rubygem(foreman_hooks)
Requires: %{scl_prefix}rubygem(foreman_remote_execution)
Requires: %{scl_prefix}rubygem(foreman-redhat_access)
Requires: %{scl_prefix}rubygem(foreman_theme_satellite)
Requires: %{scl_prefix}rubygem(foreman_virt_who_configure)
Requires: pulp-maintenance
Requires: puppet-foreman_scap_client
Requires: satellite-cli
Requires: satellite-common

Requires: foreman-libvirt
Requires: foreman-ovirt
Requires: foreman-vmware
Requires: foreman-gce
Requires: foreman-ec2
Requires: foreman-openstack
Requires: foreman-rackspace

Requires: mod_passenger
Requires: %{scl_prefix}rubygem-passenger-native

%build
a2x -d manpage -f manpage %{SOURCE3}
gzip -f9 %{_sourcedir}/satellite-change-hostname.8

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}/%{_mandir}/man8
mkdir -p %{buildroot}/usr/share/satellite
install -Dp -m0755 %{SOURCE0} %{buildroot}%{_sbindir}/satellite-restore
install -Dp -m0755 %{SOURCE1} %{buildroot}%{_sbindir}/satellite-backup
install -Dp -m0755 %{SOURCE2} %{buildroot}%{_sbindir}/satellite-change-hostname
install -m 644 %{_sourcedir}/satellite-change-hostname.8.gz %{buildroot}/%{_mandir}/man8

install -Dp -m0755 %{SOURCE4} %{buildroot}/usr/share/satellite/metadata.yml
sed -i "s/@SATELLITE_VERSION@/%{version}/" %{buildroot}/usr/share/satellite/metadata.yml

%description
Provides a package for managing application life-cycle for Linux systems.

%files

%package common
BuildArch: noarch
Summary:   Satellite Common

Requires: foreman-proxy
Requires: foreman-bootloaders-redhat
Requires: foreman-bootloaders-redhat-tftpboot
Requires: foreman-proxy-content
Requires: katello-service
Requires: katello-debug
Requires: satellite-installer

Obsoletes: pulp-nodes-parent
Obsoletes: pulp-nodes-child
Obsoletes: pulp-nodes-common

Obsoletes: python-requests-toolbelt <= 0.6.0-1.el7sat

%description common
Common packages and tools required by Satellite or a Capsule

%files common
%{_sbindir}/satellite-restore
%{_sbindir}/satellite-backup
%{_sbindir}/satellite-change-hostname
%{_mandir}/man8/satellite-change-hostname.8*
%{_datadir}/satellite/metadata.yml

%package capsule
BuildArch: noarch
Summary:   Satellite Capsule

Requires: satellite-common

%description capsule
Installation of a Satellite capsule

%files capsule


%package cli
BuildArch: noarch
Summary:   Provides the Satellite command line interface

Requires: foreman-cli
Requires: %{scl_prefix}rubygem(hammer_cli_csv)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_bootdisk)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_discovery)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_docker)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_openscap)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_remote_execution)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_tasks)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_virt_who_configure)
Requires: %{scl_prefix}rubygem(hammer_cli_katello)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_admin)

Obsoletes: %{scl_prefix}rubygem-hammer_cli_import

%description cli
Allows managing a Satellite server through a command line interface.

%files cli


%package debug-tools
BuildArch: noarch
Summary:   Provides tools for debugging a Satellite server

Requires: qpid-dispatch-tools
Requires: pulp-admin-client
Requires: pulp-rpm-admin-extensions
Requires: pulp-puppet-admin-extensions
Requires: pulp-docker-admin-extensions

%description debug-tools
Provides tools for debugging a Satellite Server

%files debug-tools

%changelog
* Mon Apr 15 2019 Eric D. Helms <ericdhelms@gmail.com> - 6.3.5.2-1
- Release 6.3.5.2

* Thu Mar 28 2019 Eric D. Helms <ericdhelms@gmail.com> - 6.3.5.1-1
- Bump version to 6.3.5.1

* Fri Oct 19 2018 Evgeni Golov - 6.3.5-1
- Satellite 6.3.5 build

* Thu Sep 13 2018 Patrick Creech <pcreech@redhat.com> - 6.3.4-2
- BZ #1569672 - Add deprecation warning for backup/restore for foreman-maintain.

* Wed Sep 12 2018 Patrick Creech <pcreech@redhat.com> - 6.3.4-1
- Satellite 6.3.4 build

* Mon Aug 20 2018 Patrick Creech <pcreech@redhat.com> - 6.3.3-2
- Add pulp-maintenance as a dependency

* Thu Jul 05 2018 Patrick Creech <pcreech@redhat.com> - 6.3.3-2
- 6.3.3 Build

* Fri May 25 2018 Patrick Creech <pcreech@redhat.com> - 6.3.2-1
- 6.3.2 Build

* Tue Mar 20 2018 Eric D Helms <ericdhelms@gmail.com> 6.3.1-3
- Release 6.3.0-3.0

* Fri Mar 16 2018 Eric D Helms <ericdhelms@gmail.com> 6.3.1-1
- Fix metadata.yml source reference

* Mon Dec 05 2016 Eric D Helms <ericdhelms@gmail.com> 6.3.0-11.1.beta
-

* Mon Dec 05 2016 Eric D Helms <ericdhelms@gmail.com> 6.3.0-12.0.beta
- Update requirements for 6.3.0 (ericdhelms@gmail.com)

* Thu Nov 24 2016 Eric D Helms <ericdhelms@gmail.com> 6.3.0-11.0.beta
-

* Thu Nov 24 2016 Eric D Helms <ericdhelms@gmail.com>
- Bump to Snap 11

* Tue Nov 01 2016 Eric D Helms <ericdhelms@gmail.com> 6.3.0-6.1.beta
- Fix branding plugin requirement (ericdhelms@gmail.com)

* Mon Oct 31 2016 Eric D Helms <ericdhelms@gmail.com> 6.3.0-6.0.beta
- Update satellite RPM for Snap 6.0 (ericdhelms@gmail.com)

* Tue Aug 30 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.2-1.1
-

* Mon Aug 29 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.2-1.0
- First 6.2.2 build (ericdhelms@gmail.com)

* Wed Aug 17 2016 zjhuntin <zhunting@redhat.com> 6.2.1-1.3
- Bump release to 6.2.1-1.3

* Wed Aug 10 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.1-1.2
- Bump release to 1.2 (ericdhelms@gmail.com)

* Tue Aug 02 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.1-1.0
- Release Satellite 6.2.1 (ericdhelms@gmail.com)

* Mon Jul 25 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-21.2
- BZ #1358820 - YUM update fails on dependencies (ericdhelms@gmail.com)

* Thu Jul 21 2016 Zach Huntington-Meath <zhunting@redhat.com> 6.2.0-21.1
-

* Wed Jul 20 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-21.0
- Bump satellite release to 21.0 (ericdhelms@gmail.com)

* Tue Jul 19 2016 Zach Huntington-Meath <zhunting@redhat.com> 6.2.0-20.3
-

* Fri Jul 15 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-20.2
-

* Fri Jul 15 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-20.1
- Bump satellite release to 20.1 (ericdhelms@gmail.com)

* Tue Jul 12 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-20.0
-

* Thu Jul 07 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-19.1
- Automatic commit of package [satellite] minor release [6.2.0-19.0].
  (ericdhelms@gmail.com)

* Tue Jul 05 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-19.0
- BZ #1339788 - Upgrading sat 6.1.9 with openscap installed to 6.2.0 failed
  with dependency error (ericdhelms@gmail.com)

* Thu Jun 30 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-18.2
-

* Mon Jun 27 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-18.0
-

* Mon Jun 20 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-17.0
- Bump Satellite to 17.0 (ericdhelms@gmail.com)
- BZ #1347285 - Unable to add openstack and rackspace compute resources
  (ericdhelms@gmail.com)

* Wed Jun 08 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-15.1.beta
-

* Wed Jun 01 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-14.2
- BZ #1315286 - Remove gutterball and associated functionality
  (ericdhelms@gmail.com)

* Tue May 31 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-14.1
- BZ #1323303 - install satellite-cli with Satellite
  (martin.bacovsky@gmail.com)

* Tue May 24 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-13.0
- Snap 13.0

* Wed May 18 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-12.1
-

* Mon May 16 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-12.0
-

* Mon May 16 2016 Eric D Helms <ericdhelms@gmail.com>
-

* Tue May 10 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-11.0
- Update satellite to Snap 11 (ericdhelms@gmail.com)
- Fixes #1323708 - Branded satellite installer and scenario
  (martin.bacovsky@gmail.com)

* Tue May 03 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-10.0
- BZ #1316458 - Upgrade from 6.1.7 to 6.2 Snap 3 is failing with dependencies
  (ericdhelms@gmail.com)

* Tue Apr 19 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-9.0.beta
- Remove plugins that must be installed through installer (mhulan@redhat.com)

* Thu Apr 14 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-8.2.beta
- Bump to Beta Snap 8.2 (ericdhelms@gmail.com)

* Mon Apr 11 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-8.0.beta
- Bump satellite to Beta Snap 8.0 (ericdhelms@gmail.com)
- BZ #1324615 - [RFE] Please add foreman-ec2 into the 6.2 composes
  (ericdhelms@gmail.com)

* Thu Apr 07 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-7.0.beta
- Snap 7.0 Beta

* Mon Apr 04 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-6.2.beta
- Snap 6.2

* Fri Apr 01 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-6.1.beta
-

* Wed Mar 30 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-6.0.beta
- Bump satellite to Snap 6.0 beta (ericdhelms@gmail.com)

* Thu Mar 24 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-5.2.beta
- Bump satellite to Snap 5.2 (ericdhelms@gmail.com)

* Wed Feb 24 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-4.beta
- Update satellite package for new installer requires (ericdhelms@gmail.com)

* Sat Feb 20 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-3.beta
- Add missing katello-installer to satellite (ericdhelms@gmail.com)

* Sat Feb 20 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-2.beta
- Update satellite for improperly named packages (ericdhelms@gmail.com)
- Customize to use regular builder for satellite package (ericdhelms@gmail.com)

* Fri Feb 19 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-1.beta
- new package built with tito
